#include "domain_tests.h"
#include "vector_tests.h"
#include "repo_tests.h"
#include "controller_tests.h"
#include <stdio.h>

void testAll(void){
    domain_tests();
    vector_tests();
    repo_tests();
    controller_tests();
    printf("All tests passed\n");
}